%define rel 0.fdr.1

Summary: Templates for generating a new project and XSLT code to generate getopt() C code, man pages, HTML documentation, Debian package specifications, RPM specifications, etc. from one XML description
Name: fctk
Version: 0.0.8
Release: %rel
License: GPL
Group: Development/Tools
Source: http://www.flyn.org/projects/%name/%name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org
Requires: new sed flyn_docs textutils

%description
The Flyn Computing Template Kit (fctk) is a collection of new 
templates, XSLT templates, and project descriptions. These tools are 
used at Flyn Computing for development. The collection of templates 
use XML and the priciple of not repeating oneself. For example, this 
description comes from an XML file that is used to generate the 
fctk package's man page, HTML documentation, RPM specification, Debian 
package specifications, etc.



%prep


%setup


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
/etc/fctk
/etc/fctk/building.xml
/etc/fctk/config.mk
/etc/fctk/copyright.xml
%{_datadir}/fctk/README.xslt
%{_datadir}/fctk/control.xslt
%{_datadir}/fctk/getopt.xslt
%{_datadir}/fctk/html_summary.xslt
%{_datadir}/fctk/manpage.xslt
%{_datadir}/fctk/spec.xslt
%{_datadir}/fctk/usage.xslt
%{_datadir}/fctk/util.xslt
%{_datadir}/fctk/webpage.xslt
%{_datadir}/fctk/resume_html.xslt
%{_datadir}/fctk/resume_latex.xslt
%{_datadir}/fctk/resume_text.xslt
%{_datadir}/new/templates/*
%{_datadir}/new/templates/*/*
%{_datadir}/new/projects/*


%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ


